Dual extruder firmware upgrade

The place to discuss your hardware and software/firmware modifications...

Dual extruder firmware upgrade

Postby halolord01 » Sun Jul 02, 2017 10:30 pm

I recently installed my dual extruder upgrade, and it's my understanding that I have to flash the firmware to use "M2E-Production-SnNRd-V101 - Dual." (If I don't have to do this to use the dual printer, then that solves my problems). After downloading this and opening it with the Arduino IDE (tested in 1.6.13 and 1.8.3), setting the board to "Arduino Mega ADE" (and then "Arduino Genuino/Mega or Mega 2560"). When trying to verify and upload the sketch to the board, I get the error: "using typefef-name 'fpos_t' after 'struct'). And this is on the Marlin.ino sketch.

Also I was trying to load filament in the second extruder in S3D, but couldn't find the jog controls for the second head. This is after changing the profile to the Makergear M2 Dual configuration.

Thanks
halolord01
 
Posts: 1
Joined: Sun Jul 02, 2017 10:13 pm

Re: Dual extruder firmware upgrade

Postby Hugs » Tue Jul 04, 2017 1:31 pm

halolord01 wrote:(If I don't have to do this to use the dual printer, then that solves my problems)


You do indeed have to flash the firmware with that version enable the second extruder and make it visible to the software.

halolord01 wrote: After downloading this and opening it with the Arduino IDE (tested in 1.6.13 and 1.8.3)


To my knowledge, the only supported IDE version is still just 1.5.5. From the wiki page about firmware:

Version 1.5.5 is tested and recommended, 1.6.x is known to cause problems.
Hugs
 
Posts: 77
Joined: Tue Mar 08, 2016 11:16 pm
Location: Pennsylvania


Return to Modifications

Who is online

Users browsing this forum: No registered users and 2 guests